Bug 189775 - Review Request: dnsmasq - A lightweight DHCP/caching DNS server
Review Request: dnsmasq - A lightweight DHCP/caching DNS server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-24 11:41 EDT by Jima
Modified: 2011-08-30 15:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 20:17:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jima 2006-04-24 11:41:00 EDT
Spec URL: http://beer.tclug.org/fedora-extras/dnsmasq/dnsmasq.spec
SRPM URL: http://beer.tclug.org/fedora-extras/dnsmasq/dnsmasq-2.30-1.src.rpm
Description: 
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It is designed to provide DNS and, optionally, DHCP, to a small network. It can serve the names of local machines which are not in the global DNS. The DHCP server integrates with the DNS server and allows machines with DHCP-allocated addresses to appear in the DNS with names configured either in each host or in a central configuration file. Dnsmasq supports static and dynamic DHCP leases and BOOTP for network booting of diskless machines.
Comment 1 Jochen Schmitt 2006-04-24 12:57:37 EDT
Good:
+ Local build works fine.
+ source tar has the same md5sum as the upstream.
+ Mock build works fine.


Bad:
- Requires should be:
Requires(post):  /sbin/chkconfig
Requires(post):  /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
- Debuginfo package contains no files.
- Error message when starting services:
Starting dnsmasq: dnsmasq: ISC dhcpd integration not available: set
HAVE_ISC_READER in src/config.h

Comment 2 Jima 2006-04-24 16:05:32 EDT
Thanks for reviewing.  Got some fixes for it.

Spec URL: http://beer.tclug.org/fedora-extras/dnsmasq/dnsmasq.spec
SRPM URL: http://beer.tclug.org/fedora-extras/dnsmasq/dnsmasq-2.30-2.src.rpm

Also uses
http://beer.tclug.org/fedora-extras/dnsmasq/dnsmasq-2.30-fedora-extras.patch .

All aforementioned issues should be resolved.  Let me know.
Comment 3 Jochen Schmitt 2006-04-25 11:55:52 EDT
God:
+ Build fine in mock.
+ Local install and remove work fine.
+ Starting and stoping of the service worked fine.
+ rpmlint of binary rpm ok.
+ rpmlint of source rpm ok.

APPROVED !!!
Comment 4 Jima 2006-04-25 20:17:33 EDT
Built on devel, FC5, FC4, and (after a bit of work) FC3.

Thanks!
Comment 5 Jima 2006-04-27 17:06:28 EDT
The issue in Comment #1 is the result of the default configuration triggering a
deprecated feature in dnsmasq.  The solution the error message suggests
(defining HAVE_ISC_READER) is a hack to re-enable that feature.  The dnsmasq
author asked me quite kindly to not enable the feature, as he'd rather not get
any more users hooked on a feature which will be going away eventually.

The workaround (which you should be doing anyway) is to set dhcp-range and
dhcp-leasefile in the configuration file.

I've released an update (2.30-3) which doesn't have the feature enabled, and
also cleans up my slightly hacked patch situation.  It should be pushed out to
mirrors shortly.
Comment 6 Jima 2006-05-01 19:29:25 EDT
*** Bug 190379 has been marked as a duplicate of this bug. ***
Comment 7 Douglas Schilling Landgraf 2011-08-30 14:39:16 EDT
Package Change Request
======================
Package Name: dnsmasq
New Branches: EL-6
Owners: dougsland
Comment 8 Gwyn Ciesla 2011-08-30 14:56:29 EDT
Git done (by process-git-requests).
Comment 9 Douglas Schilling Landgraf 2011-08-30 15:05:53 EDT
Hello Jon,

Thanks, you are so fast dude!

Note You need to log in before you can comment on or make changes to this bug.